#ifndef __TABLE_H
#define __TABLE_H 

#ifdef __cplusplus
extern "C" {
#endif

/////constant///////////
#include "hc32_ll.h"
#include "math.h"
#define SIN_RATIO  162.97466161f

extern float_t Sine(float_t theta);
extern float_t Cosine(float_t theta);
extern float_t Square_root(float_t x);

#ifdef __cplusplus
}
#endif

#endif
